From 74c71f6c467f83449155d5fc2a0cd15f041125c7 Mon Sep 17 00:00:00 2001
From: Justin Zobel <justin@1707.io>
Date: Jan 15 2022 05:06:16 +0000
Subject: Update to 21.12


---

diff --git a/plasma-dialer-21.08-1.fc35.src.rpm b/plasma-dialer-21.08-1.fc35.src.rpm
deleted file mode 100644
index aff4ad2..0000000
Binary files a/plasma-dialer-21.08-1.fc35.src.rpm and /dev/null differ
diff --git a/plasma-dialer-21.12-1.fc35.src.rpm b/plasma-dialer-21.12-1.fc35.src.rpm
new file mode 100644
index 0000000..004637b
Binary files /dev/null and b/plasma-dialer-21.12-1.fc35.src.rpm differ
diff --git a/plasma-dialer.spec b/plasma-dialer.spec
index 9bf3ad5..e289574 100644
--- a/plasma-dialer.spec
+++ b/plasma-dialer.spec
@@ -1,13 +1,12 @@
 %global kde_name org.kde.phone.dialer
 
 Name:           plasma-dialer
-Version:        21.08
-Release:        1%{dist}
+Version:        21.12
+Release:        1%{?dist}
 License:        GPLv3
 Summary:        Convergent Plasma Mobile dialer application
 Url:            https://invent.kde.org/plasma-mobile/plasma-dialer
 Source0:        https://download.kde.org/stable/plasma-mobile/%{version}/%{name}-%{version}.tar.xz
-
 BuildRequires:  gcc
 BuildRequires:  gcc-c++
 BuildRequires:  cmake
@@ -21,29 +20,34 @@ BuildRequires:  cmake(Qt5Quick)
 BuildRequires:  cmake(Qt5QuickControls2)
 BuildRequires:  cmake(Qt5Qml)
 BuildRequires:  cmake(Qt5Core)
-BuildRequires:  cmake(KF5Contacts)
+BuildRequires:  cmake(KF5Config)
 BuildRequires:  cmake(KF5CoreAddons)
 BuildRequires:  cmake(KF5I18n)
 BuildRequires:  cmake(KF5People)
 BuildRequires:  cmake(KF5DBusAddons)
 BuildRequires:  cmake(KF5Notifications)
+BuildRequires:  cmake(KF5Codecs)
 BuildRequires:  cmake(KF5Contacts)
 BuildRequires:  cmake(KF5PulseAudioQt) >= 1.3
-BuildRequires:  cmake(TelepathyQt5)
-BuildRequires:  pkgconfig(qofono-qt5)
+BuildRequires:  cmake(KF5ModemManagerQt)
+BuildRequires:  cmake(KF5WindowSystem)
+BuildRequires:  cmake(Qt5Feedback)
 BuildRequires:  cmake(Qt5Sql)
 BuildRequires:  pkgconfig(libpulse)
 
 BuildRequires:  libphonenumber-devel
+BuildRequires:  protobuf-devel
 BuildRequires:  extra-cmake-modules
 BuildRequires:  hicolor-icon-theme
 
-Requires:       kcontacts
-Requires:       kcoreaddons
-Requires:       oxygen5-sounds
-Requires:       telepathy-ofono
-Requires:       telepathy-mission-control
-Requires:       noto-sans-cjk-fonts
+Requires:       kf5-kcontacts
+Requires:       kf5-kcoreaddons
+Requires:       kf5-modemmanager-qt
+Requires:       oxygen-sound-theme
+###Requires:       telepathy-qt5
+###Requires:       telepathy-mission-control
+Requires:       google-noto-sans-cjk-ttc-fonts
+Requires:       qt5-qtfeedback
 
 
 %description
@@ -58,29 +62,35 @@ Requires:       noto-sans-cjk-fonts
 
 %install
 %cmake_install
-%find_lang %{name}
+%find_lang %{name} --all-name
 
 %check
 appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/%{kde_name}.appdata.xml
 desktop-file-validate %{buildroot}%{_datadir}/applications/%{kde_name}.desktop
 
+
 %files -f %{name}.lang
 %{_kf5_bindir}/plasmaphonedialer
-%{_kf5_bindir}/plasma-telepathy-approver
 
 %{_kf5_metainfodir}/%{kde_name}.appdata.xml
 %{_kf5_datadir}/applications/%{kde_name}.desktop
-%{_sysconfdir}/xdg/autostart/%{kde_name}.desktop
-%{_sysconfdir}/xdg/autostart/telephony-services.desktop
+%{_sysconfdir}/xdg/autostart/org.kde.modem.daemon.desktop
+%{_sysconfdir}/xdg/autostart/org.kde.telephony.daemon.desktop
 %{_kf5_datadir}/icons/hicolor/scalable/apps/dialer.svg
 %{_datadir}/knotifications5/plasma_dialer.notifyrc
 
-%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.Plasma.Approver.service
-%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.Plasma.Dialer.service
-%{_datadir}/telepathy/clients/Plasma.Dialer.client
+%{_datadir}/dbus-1/interfaces/org.kde.telephony.*
+%{_datadir}/dbus-1/services/org.kde.telephony.service
+%{_datadir}/dbus-1/services/org.kde.modemdaemon.service
+%{_libdir}/libktelephonymetatypes.a
+%{_kf5_qmldir}/org/kde/telephony/libKTelephonyPluginDeclarative.so
+%{_kf5_qmldir}/org/kde/telephony/qmldir
+%{_libexecdir}/kde-telephony-daemon
+%{_libexecdir}/modem-daemon
+%{_includedir}/KF5/kTelephonyMetaTypes/dialer-types.h
 
 %changelog
-* Mon Nov 08 2021 Onuralp SEZER <thunderbirdtr@fedoraproject.org> - 21.08-1
+* Sun Dec 19 2021 Yoda - 21.12-1
+- Update to Gear 21.12
+* Fri Nov 05 2021 Onuralp SEZER <thunderbirdtr@fedoraproject.org> - 21.08-1
 - initial version plasma-dialer
-
-

